GET/payments/customers/{id}

Retrieve

Recovers the payment customer resource by its id

Parameters

Path Parameters

NameType
idrequired
string (uuid)

Responses

200Retrieve a customer request.
object

Response with information related to a payment customer

idrequiredstring

Primary identifier

typerequiredstring

Customer type. - `INDIVIDUAL`: identified by `cpf`. - `BUSINESS`: identified by `cnpj`.

INDIVIDUALBUSINESS
namerequiredstring

Customer name

emailstring

Customer email

cpfstring

Customer CPF

cnpjstring

Customer CNPJ, if type is `BUSINESS`

connectorobject

Connector object

idrequirednumber (integer)

Primary identifier

namestring

Name of the institution

institutionUrlstring

Homepage of the institution

imageUrlstring

Image of the logo hosted by Pluggy

primaryColorstring

Primary color

typestring

Type of institution

countrystring

Country located

credentialsobject[]

Parameters required to start the connection

hasMFAboolean

Does the connector require an MFA to execute?

productsstring[]

Products supported by the connector

oauthboolean

If 'true', the connector requires an Oauth flow to execute

oauthUrlstring

URL to perform Oauth flow if needed

resetPasswordUrlstring

URL to the financial institution to reset the password

healthobject

Connector health status

isOpenFinanceboolean

Indicates if the connector uses the regulated Open Finance APIs

supportsPaymentInitiationboolean

Indicates if the connector supports the payment initiation API

supportsScheduledPaymentsboolean

Indicates if the connector supports scheduled payments

supportsSmartTransfersboolean

Indicates if the connector supports smart transfers

supportsBoletoManagementboolean

Indicates if the connector supports boleto management

supportsAutomaticPixboolean

Indicates if the connector supports automatic Pix

createdAtstring (date-time)

Date of creation

updatedAtstring (date-time)

Date of last modification

createdAtrequiredstring (date-time)

Date when the customer was created

updatedAtrequiredstring (date-time)

Date when the customer was last updated

Example response

json
{
  "id": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
  "type": "INDIVIDUAL",
  "name": "Marco Silva",
  "email": "msilva@pluggy.ai",
  "cpf": "123.456.789-00",
  "cnpj": null,
  "connector": null,
  "createdAt": "2024-01-15T10:30:00.000Z",
  "updatedAt": "2024-01-15T10:30:00.000Z"
}

Code Examples

bash
curl -X GET 'https://api.pluggy.ai/payments/customers/{id}' \
  -H 'Content-Type: application/json' \
  -H 'X-API-KEY: YOUR_API_KEY'

Try It

Path Parameters